Catalog - Get External Data Source
Retrieves the specified external data source from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/externaldatasources/{externalDataSourceName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the external data source. |
|
external
|
path | True |
string |
The name of the external data source. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved details of the specified external data source in the specified database. |
Examples
Retrieves the specified external data source from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/externaldatasources/test_external_data_source_name?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"externalDataSourceName": "test_external_data_source_name",
"provider": "test_provider",
"providerString": "test_provider_string",
"pushdownTypes": [
"test_pushdown_type"
]
}
Definitions
USqlExternalDataSource
A Data Lake Analytics catalog U-SQL external datasource item.
| Name | Type | Description |
|---|---|---|
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| externalDataSourceName |
string |
the name of the external data source. |
| provider |
string |
the name of the provider for the external data source. |
| providerString |
string |
the name of the provider string for the external data source. |
| pushdownTypes |
string[] |
the list of types to push down from the external data source. |
| version |
string (uuid) |
the version of the catalog item. |